POST V1/Projects.{ext}/UpdateProjectInventoryEPAGHGscore

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Projects.Entities.InventoryAttributesList
NameDescriptionTypeAdditional information
inventoryAttributesList

No description available

Collection of EMS.Projects.Entities.InventoryAttributes

None.

Request Formats

application/json, text/json

Sample:
{
  "inventoryAttributesList": [
    {
      "projectInventoryAttributeId": "sample string 1",
      "attributeType": "sample string 2",
      "attributeName": "sample string 3",
      "attributeValue": "sample string 4",
      "attributeTargetValue": "sample string 5",
      "attributeFinalValue": "sample string 6",
      "siteId": "sample string 7",
      "projectId": "sample string 8",
      "preQualificationDetId": "sample string 9"
    },
    {
      "projectInventoryAttributeId": "sample string 1",
      "attributeType": "sample string 2",
      "attributeName": "sample string 3",
      "attributeValue": "sample string 4",
      "attributeTargetValue": "sample string 5",
      "attributeFinalValue": "sample string 6",
      "siteId": "sample string 7",
      "projectId": "sample string 8",
      "preQualificationDetId": "sample string 9"
    }
  ]
}

application/xml, text/xml

Sample:
<InventoryAttributesList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Projects.Entities">
  <inventoryAttributesList>
    <InventoryAttributes>
      <AttributeFinalValue>sample string 6</AttributeFinalValue>
      <AttributeName>sample string 3</AttributeName>
      <AttributeTargetValue>sample string 5</AttributeTargetValue>
      <AttributeType>sample string 2</AttributeType>
      <AttributeValue>sample string 4</AttributeValue>
      <PreQualificationDetId>sample string 9</PreQualificationDetId>
      <ProjectId>sample string 8</ProjectId>
      <ProjectInventoryAttributeId>sample string 1</ProjectInventoryAttributeId>
      <SiteId>sample string 7</SiteId>
    </InventoryAttributes>
    <InventoryAttributes>
      <AttributeFinalValue>sample string 6</AttributeFinalValue>
      <AttributeName>sample string 3</AttributeName>
      <AttributeTargetValue>sample string 5</AttributeTargetValue>
      <AttributeType>sample string 2</AttributeType>
      <AttributeValue>sample string 4</AttributeValue>
      <PreQualificationDetId>sample string 9</PreQualificationDetId>
      <ProjectId>sample string 8</ProjectId>
      <ProjectInventoryAttributeId>sample string 1</ProjectInventoryAttributeId>
      <SiteId>sample string 7</SiteId>
    </InventoryAttributes>
  </inventoryAttributesList>
</InventoryAttributesList>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.